<button _ngcontent-dqy-c121="" pbutton="" pripple="" type="button" icon="pi pi-filter" class="p-element p-ripple p-button-rounded p-button-text p-button-plain p-button p-component p-button-icon-only"><span class="p-button-icon pi pi-filter" aria-hidden="true"></span><span aria-hidden="true" class="p-button-label">&nbsp;</span><span class="p-ink" style="height: 40px; width: 40px; top: -2.23438px; left: 7.60938px;"></span></button>
<p-card  class="Repair" *ngFor="let Rooms of Roomlist" header="ห้อง{{Rooms}}"

[style]="{'width': '18rem', 'margin-bottom': '1em'}">

    
        
            <!-- <button class="tooltiptext"  *ngIf="isEmtpy" type="button" pButton pRipple (click)="showRoom(Rooms)" label="Not avialable" class="p-button-danger mb-2" ></button> -->


            <!-- <button class="tooltiptext" *ngIf="isFree" type="button" pButton pRipple (click)="showRoom(Rooms)" label="avialable" class="p-button-success mb-2" ></button> -->


            <p style="cursor: pointer;" (click)="Displaycontract(Rooms)">ดูสัญญาเช่าห้อง</p>
            <button type="button" icon="pi pi-times" (click)="confirm($event,Rooms)" class="p-element p-ripple p-button-rounded p-button-danger p-button-text p-button p-component p-button-icon-only"><span class="p-button-icon pi pi-times" aria-hidden="true"></span><span aria-hidden="true" class="p-button-label">&nbsp;</span><span class="p-ink" style="height: 42px; width: 42px; top: 2.75px; left: -3.5px;"></span></button>
    </p-card>


<p-dialog header="รายละเอียดห้อง {{rooms}}" icon="pi pi-user" [(visible)]="displayshowroom" [modal]="true"
    [style]="{width: '25vw'}" [draggable]="false" [resizable]="false">
    <br>
    <br>
    <div class="container" *ngFor="let User of UserViewlist">
        ชื่อ
        <span class="ml-2">{{User.firstname}}</span>
        นามสกุล
        <span class="ml-2">{{User.lastname}}</span>
        <br>
        <br>
    </div>
    <ng-template pTemplate="footer">


    </ng-template>

</p-dialog>

<p-dialog header="สัญญาเช่า{{rooms}}" icon="pi pi-user" [(visible)]="displayshowcontract" [modal]="true"
    [style]="{height: '100'}" [style]="{width: '30'}" [draggable]="false" [resizable]="false"
    [transitionOptions]="'100ms'">

    <div class="Image">
        <p-image *ngIf="!ContractdataIsEmpty" src="{{Contractdata}}" alt="Image" height="300" [preview]="true"></p-image>
        <h2 *ngIf="ContractdataIsEmpty">ไม่มีข้อมูลสัญญาเช่า</h2>

    </div>

</p-dialog>



<p-toast></p-toast>
<p-confirmPopup></p-confirmPopup>


<!-- <p-dropdown [options]="buildingfloor" [(ngModel)]="selectedbuildingfloor" placeholder="เลือกชั้น" optionLabel="name"
    [showClear]="true"></p-dropdown> -->